Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class ConByMethodInfo

    java.lang.Object
      org.jboss.aop.JoinPointInfo
          org.jboss.aop.CallerConstructorInfo
              org.jboss.aop.ConByMethodInfo

public class ConByMethodInfo
extends CallerConstructorInfo

Version:
  $Revision: 1.1 $
Author:
  Kabir Khan

Field Summary

Fields inherited from class org.jboss.aop.JoinPointInfo
`factories, factoryChain, interceptorChain, interceptors, joinpoint`

Constructor Summary
`` | `ConByMethodInfo(Advisor advisor, Class calledClass, long callingMethodHash, Constructor c, long calledConHash, Method wrappingMethod, Interceptor[] in)` Create a new ConByMethodJoinPont.
`protected` | `ConByMethodInfo(ConByMethodInfo other)`

Method Summary
`JoinPointInfo` | `copy()`
`Method` | `getCallingMethod()`
`long` | `getCallingMethodHash()`
`protected Joinpoint` | `internalGetJoinpoint()`
`String` | `toString()`

Methods inherited from class org.jboss.aop.CallerConstructorInfo
`getCalledClass, getCalledConHash, getCallingClass, getConstructor, getWrappingMethod`

Methods inherited from class org.jboss.aop.JoinPointInfo
`clear, equalChains, getAdvisor, getFactories, getFactoryChain, getInterceptorChain, getInterceptors, getJoinpoint, hasAdvices, initialiseInterceptors, setAdvisor, setFactories, setFactoryChain, setInterceptorChain, setInterceptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConByMethodInfo

    public ConByMethodInfo(Advisor advisor,
                           Class calledClass,
                           long callingMethodHash,
                           Constructor c,
                           long calledConHash,
                           Method wrappingMethod,
                           Interceptor[] in)

  Create a new ConByMethodJoinPont.

Parameters:
  `c` -
  `in` -

### ConByMethodInfo

    protected ConByMethodInfo(ConByMethodInfo other)

Method Detail

### internalGetJoinpoint

    protected Joinpoint internalGetJoinpoint()

  Specified by:
    `internalGetJoinpoint` in class `JoinPointInfo`

### copy

    public JoinPointInfo copy()

  Specified by:
    `copy` in class `JoinPointInfo`

### toString

    public String toString()

### getCallingMethodHash

    public long getCallingMethodHash()

### getCallingMethod

    public Method getCallingMethod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.